系统音量无法调节……

为当前最终发行版之前的所有版本提供支持
回复
头像
fallleaf
帖子: 694
注册时间: 2006-12-29 20:13
送出感谢: 0
接收感谢: 0

系统音量无法调节……

#1

帖子 fallleaf » 2008-08-01 23:20

音量始终是100%,怎么调节都回到100%
用alsamixer也不行
houleihl@houleihl:~$ alsamixer

alsamixer: function snd_mixer_load failed: No such file or directory
在学习linux的道路上自在而行。
mathslinux
帖子: 58
注册时间: 2007-03-24 20:19
送出感谢: 0
接收感谢: 0
联系:

#2

帖子 mathslinux » 2008-08-02 6:26

lz可能要重新装声卡驱动了
delectate
帖子: 18311
注册时间: 2008-01-09 22:41
送出感谢: 0
接收感谢: 6 次

#3

帖子 delectate » 2008-08-02 8:16

没有遇到过啊

怎么执行alsamixer还提示错误呢?

关注一下
mathslinux
帖子: 58
注册时间: 2007-03-24 20:19
送出感谢: 0
接收感谢: 0
联系:

#4

帖子 mathslinux » 2008-08-02 9:35

着好像是某些声卡的声卡驱动的问题http://alsa.opensrc.org/index.php/FAQ#I ... s_wrong.3F
I get "no such file or directory" errors from all alsa-utils. What's wrong?

If you are sure you have ALSA installed and all necessary modules loaded into the kernel, then one reason could be a version mismatch. Especially version mismatches across major version numbers [like 0.9.7 -> 1.0.2] are bad.

If you're running a 2.6.x ( x <=5 ) series kernel with ALSA compilied into the kernel, you might try running the MAKEDEV.snd script found in the scripts/ directory of your Linux source tree. If the /dev/snd directory is not present, this script will build and populate it with the appropriate devices, which very well might fix your problem. Note: this script must be run as root.

Question from reader: I use ALSA v1.0.8, and a kernel 2.4.20. All the alsa devicefiles in /dev/snd are present. My old OSS applications thru an OSS-emulation layer snd-pcm-oss work properly. But still I can NOT run ANY application from alsa-utils package. What's wrong now? HELP!! The messages are: "Unknown PCM default: no such file or directory" ; "Unknown CLT hw:0,0: no such file or directory" ; and so on...
在ubuntu的bug网站上看到的解决方法
重新编译声卡驱动
sudo apt-get install module-assistant
sudo m-a update
sudo m-a prepare
sudo m-a a-i alsa
然后重新启动系统
gook luck
https://bugs.launchpad.net/ubuntu/+sour ... bug/192382

Fragipani wrote on 2008-05-19: (permalink)

I also had exactly the same problem like you guys.
I fixed it with just typing 4 commands. I hope it works for you:

sudo apt-get install module-assistant
sudo m-a update
sudo m-a prepare
sudo m-a a-i alsa

After this you just have to restart your system. It should work now
头像
fallleaf
帖子: 694
注册时间: 2006-12-29 20:13
送出感谢: 0
接收感谢: 0

#5

帖子 fallleaf » 2008-08-02 14:17

bad luck……悲哀 :?
在学习linux的道路上自在而行。
mathslinux
帖子: 58
注册时间: 2007-03-24 20:19
送出感谢: 0
接收感谢: 0
联系:

#6

帖子 mathslinux » 2008-08-02 21:21

头像
haiweiyangsink
帖子: 68
注册时间: 2008-07-18 9:12
来自: 计算机系
送出感谢: 0
接收感谢: 0

#7

帖子 haiweiyangsink » 2008-08-03 10:48

我用opensuse也是这个问题,realtek 的HD声卡

现在用ubuntu好了
AMD Athlon™ Dual-Core + ATI Radeon Xpress 1250 + 500GB + 折腾 Opensuse; Fedora; Ubuntu

我错了,Linux就是给专家用的,我再也不抱怨了。(读《Linux不是Windows》有感)
回复

回到 “老旧版本支持”